Subject: bug#13740: About a coding convention

From: Xue Fuqiao <[email-masked]>
Date: Mon, 18 Feb 2013 08:25:15 +0800

In (info "(elisp) Coding Conventions"):

   * Constructs that define a function or variable should be macros,
     not functions, and their names should start with `define-'.  The
     macro should receive the name to be defined as the first argument.
     That will help various tools find the definition automatically.
     Avoid constructing the names in the macro itself, since that would
     confuse these tools.

I think macros like `cl-defsubst', `cl-defun' should be mentioned here.

-- 
Best regards, Xue Fuqiao.
http://www.emacswiki.org/emacs/XueFuqiao